Skip to main content
O&M Management/Monitoring APIs/Notification Service APIs
POSTNotification Service APIsSince 4.10.0SynchronousAuth Required

Send Test HTTP Request

Send Test HTTP Request

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • urlString

      webhook url

    • usernameString

      Basic Auth username

    • passwordString

      Basic Auth password

    • endpointUuidString

      Endpoint UUID

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • connectedbooleanRequired

    Send result

  • webhookRespObjectRequired

    Remote endpoint response

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number, a globally unique identifier for the error, for example, SYS.1000 or HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      The root error that caused the current error. This field is null if there is no root cause

Endpoint

POST/zstack/v1/sns/application-endpoints/http/test-connection

/zstack/v1/sns/application-endpoints/http/test-connection

Operation ID

SNSHttpTestConnection

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/http/test-connection' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"url":"<url>","username":"<username>","password":"<password>","endpointUuid":"<endpointUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "connected": true, "webhookResp": "{\u0027result\u0027: \u0027success\u0027}" }

Change History

This API has no change history records yet.

View all change history